# LineCancellationToken

Struct in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

Inherits from `System.ValueType`

## Summary

A Line Cancellation Token stores information about whether a dialogue presenter should stop its delivery.

```csharp
public struct LineCancellationToken
```

## Remarks

Dialogue presenters receive Line Cancellation Tokens as a parameter to [RunLineAsync(LocalizedLine,LineCancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguepresenterbase/yarn.unity.dialoguepresenterbase.runlineasync.md). Line Cancellation Tokens indicate whether the user has requested that the line's delivery should be hurried up, and whether the dialogue presenter should stop showing the current line.

## Fields

| Name                                                                                                                                 | Description                                                                                                                                                                                                                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [HurryUpToken](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.hurryuptoken.md)         | A `System.Threading.CancellationToken` that becomes cancelled when a [DialogueRunner](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) wishes all dialogue presenters to speed up their delivery of their line, if appropriate. For example, UI animations should be played faster or skipped. |
| [NextContentToken](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.nextcontenttoken.md) |                                                                                                                                                                                                                                                                                                        |

## Properties

| Name                                                                                                                                             | Description                                                                                                                                                                                                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IsHurryUpRequested](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.ishurryuprequested.md)         | Gets a value indicating whether the user has requested that the line be hurried up.                                                                                                                                                                                                                              |
| [IsNextContentRequested](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.isnextcontentrequested.md) |                                                                                                                                                                                                                                                                                                                  |
| [IsNextLineRequested](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.isnextlinerequested.md)       | Gets a value indicating whether the dialogue runner has requested that the next line be shown.                                                                                                                                                                                                                   |
| [NextLineToken](/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken/yarn.unity.linecancellationtoken.nextlinetoken.md)                   | A `System.Threading.CancellationToken` that becomes cancelled when a [DialogueRunner](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) wishes all dialogue presenters to stop running the current line. For example, on-screen UI should be dismissed, and any ongoing audio playback should be stopped. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
